<div class="row justify-content-center">
    <div class="col-8">
        <div *ngIf="agentCommissionRate">
            <h2><span>Agent Commission Rate</span> {{ agentCommissionRate.id }}</h2>

            <hr>

            <jhi-alert-error></jhi-alert-error>

            <dl class="row-md jh-entity-details">
                <dt><span>Constraint</span></dt>
                <dd>
                    <span>{{ agentCommissionRate.constraint }}</span>
                </dd>
                <dt><span>Commission Rate</span></dt>
                <dd>
                    <span>{{ agentCommissionRate.commissionRate }}</span>
                </dd>
                <dt><span>Type</span></dt>
                <dd>
                    <span>{{ agentCommissionRate.type }}</span>
                </dd>
                <dt><span>Comment</span></dt>
                <dd>
                    <span>{{ agentCommissionRate.comment }}</span>
                </dd>
            </dl>

            <button type="submit"
                    (click)="previousState()"
                    class="btn btn-info">
                <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span>Back</span>
            </button>

            <button type="button"
                    [routerLink]="['/agent-commission-rate', agentCommissionRate.id, 'edit']"
                    class="btn btn-primary">
                <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span>Edit</span>
            </button>
        </div>
    </div>
</div>
